********************************************************************************
*                                     testagrep                                *
********************************************************************************


testagrep is a program which shows the features of the Agrep OCaml module. It
checks if a string approximatively (you can specify the number of errors
allowed) matches a pattern using the Wu-Manber algorithm.


To compile it using the provided Makfile, just type "make".


The syntax of the program's command line is:

testagrep [options] <pattern> <string>

where options are:

  -1      one error
  -2   	  two error
  -3   	  three error
  -e <n>  n errors
  -f      search in given file rather than in string
  -w      match entire words
  -v      match string verbatim (no special chars)
  -help   display this list of options
  --help  display this list of options


The pattern can be constituted of one or more of the following constructs:
  - ?  match any single character
  - * match any sequence of characters
  - [..] character set: ranges are denoted with -, as in [a-z]; an initial ^, as in [^0-9], complements the set
  - & conjunction (e.g. sweet&sour)
  - | alternative (e.g. high|low)
  - (..) grouping
  - \ escape special characters; the special characters are \?*[]&|().


This file was added for the ocamlagrep Debian package.
